| Cantera 3.0.0

Loading...
Searching...
No Matches
Public Attributes | List of all members
EquilOpt Class Reference

Chemical equilibrium options. More...

`#include <ChemEquil.h>`

## Detailed Description

Chemical equilibrium options.

Used internally by class ChemEquil.

Definition at line 24 of file ChemEquil.h.

## Public Attributes
double | relTolerance = 1e-8
| Relative tolerance.
double | absElemTol = 1e-70
| Abs Tol in element number.
int | maxIterations = 1000
| Maximum number of iterations.
int | iterations = 0
| Iteration counter.
double | maxStepSize = 10.0
| Maximum step size.
int | propertyPair = TP
| Property pair flag.
bool | contin = false
| Continuation flag.

## Member Data Documentation

## ◆ relTolerance

double relTolerance = 1e-8

Relative tolerance.

Definition at line 29 of file ChemEquil.h.

## ◆ absElemTol

double absElemTol = 1e-70

Abs Tol in element number.

Definition at line 30 of file ChemEquil.h.

## ◆ maxIterations

int maxIterations = 1000

Maximum number of iterations.

Definition at line 31 of file ChemEquil.h.

## ◆ iterations

int iterations = 0

Iteration counter.

Definition at line 32 of file ChemEquil.h.

## ◆ maxStepSize

double maxStepSize = 10.0

Maximum step size.

Largest change in any element potential or in log(T) allowed in one Newton step.

Definition at line 38 of file ChemEquil.h.

## ◆ propertyPair

int propertyPair = TP

Property pair flag.

Determines which two thermodynamic properties are fixed.

Definition at line 44 of file ChemEquil.h.

## ◆ contin

bool contin = false

Continuation flag.

Set true if the calculation should be initialized from the last calculation. Otherwise, the calculation will be started from scratch and the initial composition and element potentials estimated.

Definition at line 51 of file ChemEquil.h.

The documentation for this class was generated from the following file:

- ChemEquil.h